diff -pruN 0.59-3/debian/changelog 0.59-3ubuntu3/debian/changelog
--- 0.59-3/debian/changelog	2014-04-17 07:16:21.000000000 +0000
+++ 0.59-3ubuntu3/debian/changelog	2014-10-21 16:27:32.000000000 +0000
@@ -1,3 +1,26 @@
+startpar (0.59-3ubuntu3) utopic; urgency=medium
+
+  * drop priority to "standard" so that the release-upgrader does
+    not try to install it on a upgrade (LP: #1383786)
+
+ -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Oct 2014 12:26:28 -0400
+
+startpar (0.59-3ubuntu2) utopic; urgency=medium
+
+  * debian/startpar.startpar-bridge.upstart: Silence " *
+    Starting/Stopping startpar bridge..." messages from boot.log, by
+    commenting out description stanza. Moved from sysvinit 2.88dsf-41ubuntu6
+    as startpar got split out now, changed by Dimitri John Ledkov.
+
+ -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 05 May 2014 12:56:35 +0200
+
+startpar (0.59-3ubuntu1) utopic; urgency=medium
+
+  * Adjust test suite to cope with different insserv path on Ubuntu (see LP
+    #858122).
+
+ -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Apr 2014 10:40:02 +0100
+
 startpar (0.59-3) unstable; urgency=low
 
   * Adjust 83_hardening.patch to a version more suitable for upstream.
diff -pruN 0.59-3/debian/control 0.59-3ubuntu3/debian/control
--- 0.59-3/debian/control	2014-04-11 17:14:31.000000000 +0000
+++ 0.59-3ubuntu3/debian/control	2014-10-21 16:26:49.000000000 +0000
@@ -1,7 +1,8 @@
 Source: startpar
 Section: admin
-Priority: required
-Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
+Priority: standard
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
 Uploaders:
  Petter Reinholdtsen <pere@debian.org>,
  Henrique de Moraes Holschuh <hmh@debian.org>,
diff -pruN 0.59-3/debian/patches/series 0.59-3ubuntu3/debian/patches/series
--- 0.59-3/debian/patches/series	2014-04-17 07:15:03.000000000 +0000
+++ 0.59-3ubuntu3/debian/patches/series	2014-04-30 09:37:40.000000000 +0000
@@ -3,3 +3,4 @@
 upstart_support.patch
 81_timeout.patch
 83_hardening.patch
+ubuntu_insserv_path.patch
diff -pruN 0.59-3/debian/patches/ubuntu_insserv_path.patch 0.59-3ubuntu3/debian/patches/ubuntu_insserv_path.patch
--- 0.59-3/debian/patches/ubuntu_insserv_path.patch	1970-01-01 00:00:00.000000000 +0000
+++ 0.59-3ubuntu3/debian/patches/ubuntu_insserv_path.patch	2014-04-30 09:38:41.000000000 +0000
@@ -0,0 +1,13 @@
+Index: b/testsuite/runtests
+===================================================================
+--- a/testsuite/runtests
++++ b/testsuite/runtests
+@@ -24,7 +24,7 @@
+ EOF
+ chmod a+rx etc/init.d/test
+ 
+-/sbin/insserv -p etc/init.d test
++/usr/lib/insserv/insserv -p etc/init.d test
+ if $STARTPAR -d etc/init.d -e etc -P S -R 2 -M start 2>&1 | grep -q 'is running' ; then
+     echo success: the test init.d script was running
+ else
diff -pruN 0.59-3/debian/startpar.startpar-bridge.upstart 0.59-3ubuntu3/debian/startpar.startpar-bridge.upstart
--- 0.59-3/debian/startpar.startpar-bridge.upstart	2014-04-10 09:33:22.000000000 +0000
+++ 0.59-3ubuntu3/debian/startpar.startpar-bridge.upstart	2014-05-05 10:56:33.000000000 +0000
@@ -4,7 +4,10 @@
 # started or stopped, in order to make a soft transition between sysvinit
 # scripts and upstart jobs possible
 
-description	"startpar bridge for notification of upstart job start/stop"
+# Comment out description such that plymouth-upstart-bridge does not
+# print endless messages about
+# "* Starting/Stopping startpar bridge..."
+#description	"startpar bridge for notification of upstart job start/stop"
 author		"Steve Langasek <steve.langasek@ubuntu.com>"
 
 start on started JOB!=startpar-bridge or stopped JOB!=startpar-bridge
diff -pruN 0.59-3/.pc/applied-patches 0.59-3ubuntu3/.pc/applied-patches
--- 0.59-3/.pc/applied-patches	2014-10-21 19:09:03.922336727 +0000
+++ 0.59-3ubuntu3/.pc/applied-patches	2014-10-21 19:09:04.138342608 +0000
@@ -3,3 +3,4 @@
 upstart_support.patch
 81_timeout.patch
 83_hardening.patch
+ubuntu_insserv_path.patch
diff -pruN 0.59-3/.pc/ubuntu_insserv_path.patch/testsuite/runtests 0.59-3ubuntu3/.pc/ubuntu_insserv_path.patch/testsuite/runtests
--- 0.59-3/.pc/ubuntu_insserv_path.patch/testsuite/runtests	1970-01-01 00:00:00.000000000 +0000
+++ 0.59-3ubuntu3/.pc/ubuntu_insserv_path.patch/testsuite/runtests	2014-10-21 19:09:04.000000000 +0000
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+set -e
+
+if [ -z "$STARTPAR" ] ; then
+    STARTPAR=../startpar
+fi
+
+mkdir -p etc/init.d
+touch etc/insserv.conf
+cat > etc/init.d/test <<EOF
+#!/bin/sh
+set -e
+### BEGIN INIT INFO
+# Provides:          test
+# Required-Start:    $all
+# Required-Stop:     $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: init script for stopping readahead profiling
+### END INIT INFO
+
+echo success: the test script is running $1
+EOF
+chmod a+rx etc/init.d/test
+
+/sbin/insserv -p etc/init.d test
+if $STARTPAR -d etc/init.d -e etc -P S -R 2 -M start 2>&1 | grep -q 'is running' ; then
+    echo success: the test init.d script was running
+else
+    echo error: the test init.d was not running
+fi
+
+rm -rf etc
+
+
+mkdir -p start
+touch start/working
+if $STARTPAR -a start ls 2>&1 | grep -q working ; then
+    echo success: the ls command was running
+else
+    echo error: the ls command was not running
+fi ; rm -rf start
diff -pruN 0.59-3/testsuite/runtests 0.59-3ubuntu3/testsuite/runtests
--- 0.59-3/testsuite/runtests	2014-10-21 19:09:03.000000000 +0000
+++ 0.59-3ubuntu3/testsuite/runtests	2014-10-21 19:09:04.000000000 +0000
@@ -24,7 +24,7 @@ echo success: the test script is running
 EOF
 chmod a+rx etc/init.d/test
 
-/sbin/insserv -p etc/init.d test
+/usr/lib/insserv/insserv -p etc/init.d test
 if $STARTPAR -d etc/init.d -e etc -P S -R 2 -M start 2>&1 | grep -q 'is running' ; then
     echo success: the test init.d script was running
 else
